/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "keyboard_glue.h"
#include "utils.h"
#include "alchemy.h"

int keyboard_switch_category_layout(const char *category, const char *layout,
		const char *current_category, const char *current_layout)
{
	char cmd[200];
	int ret=0;

	cmd[0] = 0;

	if(category && strcmp(current_category, category)) {
		int status;

		sprintf(cmd,"/usr/local/apps/keyboard/messenger \"c %s\"", category);
		status=system(cmd);
		if(!status)
			ret=1;
	}

	if(layout && strcmp(current_layout, layout)) {
		int status;

		sprintf(cmd,"/usr/local/apps/keyboard/messenger \"l %s\"", layout);
		status=system(cmd);
		if(!status)
			ret=1;
	}

	return ret;
}

void keyboard_start_keyboard(const char *category, const char *layout)
{
	// Keyboard is not started, start the keyboard
	char cmd[TMP_BUF_SIZE];
	char env1[TMP_BUF_SIZE];
	char env2[TMP_BUF_SIZE];

	sprintf(cmd,KEYBOARD_CMDLINE, category, layout);
	sprintf(env1,"_AC_W_APPID=%d", AC_KEYBOARD_APPID);
	sprintf(env2,"_AC_W_FAST_LOAD=1");
	spawn_child(cmd, env1, env2, NULL);
}
